> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync bank accounts for a client



## OpenAPI

````yaml /openapi/bank-accounts.json post /clients/{clientId}/bank-accounts/sync
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /clients/{clientId}/bank-accounts/sync:
    post:
      tags:
        - Bank Accounts
      summary: Sync bank accounts for a client
      operationId: bankAccounts.sync
      parameters:
        - name: clientId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  maxItems: 250
                  items:
                    anyOf:
                      - allOf:
                          - anyOf:
                              - type: object
                                properties:
                                  accountNumber:
                                    type: string
                                    minLength: 1
                                    description: Account Number
                                  bankName:
                                    type: string
                                    minLength: 1
                                    description: Bank Name
                                  bankCode:
                                    type: string
                                    description: Bank Code
                                  country:
                                    const: MX
                                    description: Country
                                  currency:
                                    type: string
                                    description: Currency
                                  type:
                                    enum:
                                      - checking
                                      - savings
                                      - investment
                                      - other
                                    type: string
                                    description: Type
                                  isPrimary:
                                    type: boolean
                                    description: Is Primary
                                  isActive:
                                    type: boolean
                                    description: Is Active
                                  label:
                                    type: string
                                    description: Label
                                  externalId:
                                    type: string
                                    description: External ID
                                  metadata:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                    description: Metadata
                                  clabe:
                                    type: string
                                    minLength: 18
                                    description: CLABE
                                  codigoBanco:
                                    type: string
                                    minLength: 3
                                    maxLength: 3
                                    description: Bank Code
                                  codigoPlaza:
                                    type: string
                                    minLength: 3
                                    maxLength: 3
                                    description: Plaza Code
                              - type: object
                                properties:
                                  accountNumber:
                                    type: string
                                    minLength: 1
                                    description: Account Number
                                  bankName:
                                    type: string
                                    minLength: 1
                                    description: Bank Name
                                  bankCode:
                                    type: string
                                    description: Bank Code
                                  country:
                                    type: string
                                    description: Country
                                  currency:
                                    type: string
                                    description: Currency
                                  type:
                                    enum:
                                      - checking
                                      - savings
                                      - investment
                                      - other
                                    type: string
                                    description: Type
                                  isPrimary:
                                    type: boolean
                                    description: Is Primary
                                  isActive:
                                    type: boolean
                                    description: Is Active
                                  label:
                                    type: string
                                    description: Label
                                  externalId:
                                    type: string
                                    description: External ID
                                  metadata:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                    description: Metadata
                          - type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              _delete:
                                type: boolean
                            required:
                              - id
                      - allOf:
                          - anyOf:
                              - type: object
                                properties:
                                  clientId:
                                    type: string
                                    format: uuid
                                  accountNumber:
                                    type: string
                                    minLength: 1
                                    description: Account Number
                                  bankName:
                                    type: string
                                    minLength: 1
                                    description: Bank Name
                                  bankCode:
                                    type: string
                                    description: Bank Code
                                  country:
                                    const: MX
                                    description: Country
                                  currency:
                                    type: string
                                    description: Currency
                                  type:
                                    enum:
                                      - checking
                                      - savings
                                      - investment
                                      - other
                                    type: string
                                    description: Type
                                    default: checking
                                  isPrimary:
                                    type: boolean
                                    description: Is Primary
                                  isActive:
                                    type: boolean
                                    description: Is Active
                                  label:
                                    type: string
                                    description: Label
                                  externalId:
                                    type: string
                                    description: External ID
                                  metadata:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                    description: Metadata
                                  clabe:
                                    type: string
                                    minLength: 18
                                    description: CLABE
                                  codigoBanco:
                                    type: string
                                    minLength: 3
                                    maxLength: 3
                                    description: Bank Code
                                  codigoPlaza:
                                    type: string
                                    minLength: 3
                                    maxLength: 3
                                    description: Plaza Code
                                required:
                                  - clientId
                                  - accountNumber
                                  - bankName
                                  - country
                                  - currency
                              - type: object
                                properties:
                                  clientId:
                                    type: string
                                    format: uuid
                                  accountNumber:
                                    type: string
                                    minLength: 1
                                    description: Account Number
                                  bankName:
                                    type: string
                                    minLength: 1
                                    description: Bank Name
                                  bankCode:
                                    type: string
                                    description: Bank Code
                                  country:
                                    type: string
                                    description: Country
                                  currency:
                                    type: string
                                    description: Currency
                                  type:
                                    enum:
                                      - checking
                                      - savings
                                      - investment
                                      - other
                                    type: string
                                    description: Type
                                    default: checking
                                  isPrimary:
                                    type: boolean
                                    description: Is Primary
                                  isActive:
                                    type: boolean
                                    description: Is Active
                                  label:
                                    type: string
                                    description: Label
                                  externalId:
                                    type: string
                                    description: External ID
                                  metadata:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                    description: Metadata
                                required:
                                  - clientId
                                  - accountNumber
                                  - bankName
                                  - country
                                  - currency
                          - type: object
                            properties:
                              id:
                                not: {}
                              _delete:
                                not: {}
                replaceMode:
                  type: boolean
              required:
                - items
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  created:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            clientId:
                              type: string
                              format: uuid
                            accountNumber:
                              type: string
                              minLength: 1
                              description: Account Number
                            bankName:
                              type: string
                              minLength: 1
                              description: Bank Name
                            bankCode:
                              type: string
                              description: Bank Code
                            country:
                              const: MX
                            currency:
                              type: string
                              description: Currency
                            type:
                              enum:
                                - checking
                                - savings
                                - investment
                                - other
                              type: string
                              description: Type
                              default: checking
                            isPrimary:
                              type: boolean
                              description: Is Primary
                            isActive:
                              type: boolean
                              description: Is Active
                            label:
                              type: string
                              description: Label
                            externalId:
                              type: string
                              description: External ID
                            metadata:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                              description: Metadata
                            clabe:
                              description: CLABE
                            codigoBanco:
                              type: string
                              minLength: 3
                              maxLength: 3
                              description: Bank Code
                            codigoPlaza:
                              type: string
                              minLength: 3
                              maxLength: 3
                              description: Plaza Code
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                          required:
                            - id
                            - clientId
                            - accountNumber
                            - bankName
                            - country
                            - currency
                            - createdAt
                            - updatedAt
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            clientId:
                              type: string
                              format: uuid
                            accountNumber:
                              type: string
                              minLength: 1
                              description: Account Number
                            bankName:
                              type: string
                              minLength: 1
                              description: Bank Name
                            bankCode:
                              type: string
                              description: Bank Code
                            country: {}
                            currency:
                              type: string
                              description: Currency
                            type:
                              enum:
                                - checking
                                - savings
                                - investment
                                - other
                              type: string
                              description: Type
                              default: checking
                            isPrimary:
                              type: boolean
                              description: Is Primary
                            isActive:
                              type: boolean
                              description: Is Active
                            label:
                              type: string
                              description: Label
                            externalId:
                              type: string
                              description: External ID
                            metadata:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                              description: Metadata
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                          required:
                            - id
                            - clientId
                            - accountNumber
                            - bankName
                            - currency
                            - createdAt
                            - updatedAt
                  updated:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            clientId:
                              type: string
                              format: uuid
                            accountNumber:
                              type: string
                              minLength: 1
                              description: Account Number
                            bankName:
                              type: string
                              minLength: 1
                              description: Bank Name
                            bankCode:
                              type: string
                              description: Bank Code
                            country:
                              const: MX
                            currency:
                              type: string
                              description: Currency
                            type:
                              enum:
                                - checking
                                - savings
                                - investment
                                - other
                              type: string
                              description: Type
                              default: checking
                            isPrimary:
                              type: boolean
                              description: Is Primary
                            isActive:
                              type: boolean
                              description: Is Active
                            label:
                              type: string
                              description: Label
                            externalId:
                              type: string
                              description: External ID
                            metadata:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                              description: Metadata
                            clabe:
                              description: CLABE
                            codigoBanco:
                              type: string
                              minLength: 3
                              maxLength: 3
                              description: Bank Code
                            codigoPlaza:
                              type: string
                              minLength: 3
                              maxLength: 3
                              description: Plaza Code
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                          required:
                            - id
                            - clientId
                            - accountNumber
                            - bankName
                            - country
                            - currency
                            - createdAt
                            - updatedAt
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            clientId:
                              type: string
                              format: uuid
                            accountNumber:
                              type: string
                              minLength: 1
                              description: Account Number
                            bankName:
                              type: string
                              minLength: 1
                              description: Bank Name
                            bankCode:
                              type: string
                              description: Bank Code
                            country: {}
                            currency:
                              type: string
                              description: Currency
                            type:
                              enum:
                                - checking
                                - savings
                                - investment
                                - other
                              type: string
                              description: Type
                              default: checking
                            isPrimary:
                              type: boolean
                              description: Is Primary
                            isActive:
                              type: boolean
                              description: Is Active
                            label:
                              type: string
                              description: Label
                            externalId:
                              type: string
                              description: External ID
                            metadata:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                              description: Metadata
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                          required:
                            - id
                            - clientId
                            - accountNumber
                            - bankName
                            - currency
                            - createdAt
                            - updatedAt
                  deleted:
                    type: array
                    items:
                      type: string
                      format: uuid
                required:
                  - created
                  - updated
                  - deleted
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````